-- MySQL Table Structure For BandSite CMS databases


-- --------------------------------------------------------

-- 
-- Table structure for table `bio`
-- 

CREATE TABLE `bio` (
  `rec_id` int(2) NOT NULL auto_increment,
  `date_added` date NOT NULL default '0000-00-00',
  `bio` mediumtext NOT NULL,
  PRIMARY KEY  (`rec_id`)
) TYPE=MyISAM AUTO_INCREMENT=16 ;



-- --------------------------------------------------------


-- 
-- Table structure for table `guestbook`
-- 

CREATE TABLE `guestbook` (
  `rec_id` int(7) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `email` varchar(255) NOT NULL default '',
  `website` varchar(255) NOT NULL default '',
  `location` varchar(255) NOT NULL default '',
  `comments` mediumtext NOT NULL,
  `ip_address` varchar(255) NOT NULL default '',
  `datesubmitted` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`rec_id`)
) TYPE=MyISAM AUTO_INCREMENT=3 ;



-- --------------------------------------------------------

-- 
-- Table structure for table `interviews`
-- 

CREATE TABLE `interviews` (
  `rec_id` int(7) NOT NULL auto_increment,
  `date_added` date NOT NULL default '0000-00-00',
  `source` varchar(255) NOT NULL default '',
  `title` varchar(255) NOT NULL default '',
  `date` varchar(255) NOT NULL default '',
  `url` varchar(255) NOT NULL default '',
  `full_text` mediumtext NOT NULL,
  `comments` mediumtext NOT NULL,
  PRIMARY KEY  (`rec_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;



-- --------------------------------------------------------

-- 
-- Table structure for table `links`
-- 

CREATE TABLE `links` (
  `rec_id` int(7) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `url` varchar(255) NOT NULL default '',
  `category` varchar(255) NOT NULL default '',
  `description` mediumtext NOT NULL,
  `date_added` date NOT NULL default '0000-00-00',
  `count` int(7) NOT NULL default '0',
  PRIMARY KEY  (`rec_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;



-- --------------------------------------------------------

-- 
-- Table structure for table `lyrics`
-- 

CREATE TABLE `lyrics` (
  `rec_id` int(7) NOT NULL auto_increment,
  `date_added` date NOT NULL default '0000-00-00',
  `title` varchar(255) NOT NULL default '',
  `author` varchar(255) NOT NULL default '',
  `music` varchar(255) NOT NULL default '',
  `featured_release` varchar(255) NOT NULL default '',
  `lyrics` mediumtext NOT NULL,
  PRIMARY KEY  (`rec_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;



-- --------------------------------------------------------

-- 
-- Table structure for table `mailinglist`
-- 

CREATE TABLE `mailinglist` (
  `rec_id` int(6) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `street` varchar(255) NOT NULL default '',
  `city` varchar(255) NOT NULL default '',
  `state` varchar(255) NOT NULL default '',
  `zip_code` varchar(15) NOT NULL default '',
  `country` varchar(255) NOT NULL default '',
  `email` varchar(255) NOT NULL default '',
  `sub_email` int(1) NOT NULL default '0',
  `sub_snailmail` int(1) NOT NULL default '0',
  `allnews` int(1) NOT NULL default '0',
  `sitenews` int(1) NOT NULL default '0',
  `areashows` int(1) NOT NULL default '0',
  `newreleases` int(1) NOT NULL default '0',
  `confirm` int(1) NOT NULL default '0',
  `date_added` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`rec_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;



-- --------------------------------------------------------

-- 
-- Table structure for table `memberbios`
-- 

CREATE TABLE `memberbios` (
  `rec_id` int(7) NOT NULL auto_increment,
  `date_added` date NOT NULL default '0000-00-00',
  `name` varchar(255) NOT NULL default '',
  `instrument` varchar(255) NOT NULL default '',
  `memberbio` mediumtext NOT NULL,
  PRIMARY KEY  (`rec_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;




-- --------------------------------------------------------

-- 
-- Table structure for table `merchandise`
-- 

CREATE TABLE `merchandise` (
  `rec_id` int(7) NOT NULL auto_increment,
  `item_name` varchar(255) NOT NULL default '',
  `item_type` varchar(255) NOT NULL default '',
  `item_price` varchar(255) NOT NULL default '',
  `item_pic` varchar(255) NOT NULL default '',
  `item_pic_thumb` varchar(255) NOT NULL default '',
  `date_added` date NOT NULL default '0000-00-00',
  `sizes` varchar(255) NOT NULL default '',
  `colors` varchar(255) NOT NULL default '',
  `item_subtype` varchar(255) NOT NULL default '',
  `description` mediumtext NOT NULL,
  `num_sold` int(7) NOT NULL default '0',
  PRIMARY KEY  (`rec_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;




-- --------------------------------------------------------

-- 
-- Table structure for table `mp3s`
-- 

CREATE TABLE `mp3s` (
  `rec_id` int(7) NOT NULL auto_increment,
  `date_uploaded` date NOT NULL default '0000-00-00',
  `song_name` varchar(255) NOT NULL default '',
  `final_name` varchar(255) NOT NULL default '',
  `file_type` varchar(255) NOT NULL default '',
  `file_size` varchar(255) NOT NULL default '',
  `url_path` varchar(255) NOT NULL default '',
  `count` int(7) NOT NULL default '0',
  PRIMARY KEY  (`rec_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;



-- --------------------------------------------------------

-- 
-- Table structure for table `news`
-- 

CREATE TABLE `news` (
  `rec_id` int(7) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default '',
  `subject` varchar(255) NOT NULL default '',
  `summary` mediumtext NOT NULL,
  `full_text` mediumtext NOT NULL,
  `date_added` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`rec_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;


-- --------------------------------------------------------

-- 
-- Table structure for table `photos`
-- 

CREATE TABLE `photos` (
  `rec_id` int(7) NOT NULL auto_increment,
  `date_added` date NOT NULL default '0000-00-00',
  `member` varchar(255) NOT NULL default '',
  `photo_file` varchar(255) NOT NULL default '',
  `photo_thumb` varchar(255) NOT NULL default '',
  `photo_thumb2` varchar(255) NOT NULL default '',
  `description` mediumtext NOT NULL,
  `image_width` varchar(255) NOT NULL default '',
  `image_height` varchar(255) NOT NULL default '',
  `image_type` varchar(255) NOT NULL default '',
  `image_data_size` varchar(255) NOT NULL default '',
  `image_location` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`rec_id`)
) TYPE=MyISAM AUTO_INCREMENT=11 ;



-- --------------------------------------------------------

-- 
-- Table structure for table `releases`
-- 

CREATE TABLE `releases` (
  `rec_id` int(7) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default '',
  `release_date` varchar(255) NOT NULL default '',
  `cover_pic` varchar(255) NOT NULL default '',
  `cover_thumb` varchar(64) NOT NULL default '',
  `label` varchar(255) NOT NULL default '',
  `comments` mediumtext NOT NULL,
  `for_sale` varchar(5) NOT NULL default 'No',
  `link_to_buy` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`rec_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;



-- --------------------------------------------------------

-- 
-- Table structure for table `reviews`
-- 

CREATE TABLE `reviews` (
  `rec_id` int(7) NOT NULL auto_increment,
  `source` varchar(255) NOT NULL default '',
  `type` varchar(255) NOT NULL default '',
  `title` varchar(255) NOT NULL default '',
  `date` varchar(255) NOT NULL default '',
  `url` varchar(255) NOT NULL default '',
  `full_text` mediumtext NOT NULL,
  `comments` mediumtext NOT NULL,
  `date_added` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`rec_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;


-- --------------------------------------------------------

-- 
-- Table structure for table `shows`
-- 

CREATE TABLE `shows` (
  `rec_id` int(7) NOT NULL auto_increment,
  `showdate` date NOT NULL default '0000-00-00',
  `venue_name` varchar(255) NOT NULL default '',
  `venue_street` varchar(255) NOT NULL default '',
  `venue_city` varchar(255) NOT NULL default '',
  `venue_state` varchar(255) NOT NULL default '',
  `venue_website` varchar(255) NOT NULL default '',
  `other_bands` varchar(255) NOT NULL default '',
  `doors` varchar(255) NOT NULL default '',
  `admission` varchar(255) NOT NULL default '',
  `ages` varchar(255) NOT NULL default '',
  `comments` mediumtext NOT NULL,
  `date_added` date NOT NULL default '0000-00-00',
  `flier` varchar(64) NOT NULL default '',
  `flier_thumb` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`rec_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;


-- --------------------------------------------------------

        